SDK (@phosra/sdk)
import { PhosraClient } from "@phosra/sdk";
const phosra = new PhosraClient({
baseUrl: "https://phosra-api-sandbox-production.up.railway.app/api/v1",
accessToken: process.env.PHOSRA_API_KEY,
});
const result = await phosra.enforcement.retry("9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6");
console.log(result);curl -sS -X POST "https://phosra-api-sandbox-production.up.railway.app/api/v1/enforcement/jobs/9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6/retry" \
-H "Authorization: Bearer $PHOSRA_API_KEY"
import os, requests
BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1"
res = requests.post(
f"{BASE}/enforcement/jobs/9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6/retry",
headers={"Authorization": f"Bearer {os.environ['PHOSRA_API_KEY']}"},
)
print(res.status_code, res.json())
package main
import (
"fmt"
"io"
"net/http"
"os"
)
func main() {
base := "https://phosra-api-sandbox-production.up.railway.app/api/v1"
req, _ := http.NewRequest("POST", base+"/enforcement/jobs/9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6/retry", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("PHOSRA_API_KEY"))
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}

{
"id": "b8f04d2e-1c93-4a56-8e7f-05a91d6c3b28",
"child_id": "ca02f5d1-fee8-4201-b5ca-fdc8be506e1e",
"policy_id": "7b3e9c04-2d1a-4f68-9e5b-8c07a1f34d29",
"trigger_type": "manual",
"status": "pending",
"started_at": "2026-06-30T09:15:44Z",
"completed_at": "2026-06-30T09:15:52Z",
"created_at": "2026-06-18T14:32:07Z"
}{
"error": "Bad Request",
"message": "child_name is required",
"code": 400
}{
"error": "Unauthorized",
"message": "missing or invalid Authorization header",
"code": 401
}{
"error": "Forbidden",
"message": "not a member of this family",
"code": 403
}{
"error": "Too Many Requests",
"message": "rate limit exceeded",
"code": 429
}{
"error": "Internal Server Error",
"message": "internal error",
"code": 500
}{
"error": "Bad Gateway",
"message": "downstream provider error",
"code": 502
}{
"error": "Service Unavailable",
"message": "downstream provider unavailable",
"code": 503
}Enforcement
Retry a failed job
Retry a failed enforcement job
POST
/
enforcement
/
jobs
/
{jobID}
/
retry
SDK (@phosra/sdk)
import { PhosraClient } from "@phosra/sdk";
const phosra = new PhosraClient({
baseUrl: "https://phosra-api-sandbox-production.up.railway.app/api/v1",
accessToken: process.env.PHOSRA_API_KEY,
});
const result = await phosra.enforcement.retry("9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6");
console.log(result);curl -sS -X POST "https://phosra-api-sandbox-production.up.railway.app/api/v1/enforcement/jobs/9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6/retry" \
-H "Authorization: Bearer $PHOSRA_API_KEY"
import os, requests
BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1"
res = requests.post(
f"{BASE}/enforcement/jobs/9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6/retry",
headers={"Authorization": f"Bearer {os.environ['PHOSRA_API_KEY']}"},
)
print(res.status_code, res.json())
package main
import (
"fmt"
"io"
"net/http"
"os"
)
func main() {
base := "https://phosra-api-sandbox-production.up.railway.app/api/v1"
req, _ := http.NewRequest("POST", base+"/enforcement/jobs/9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6/retry", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("PHOSRA_API_KEY"))
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}

{
"id": "b8f04d2e-1c93-4a56-8e7f-05a91d6c3b28",
"child_id": "ca02f5d1-fee8-4201-b5ca-fdc8be506e1e",
"policy_id": "7b3e9c04-2d1a-4f68-9e5b-8c07a1f34d29",
"trigger_type": "manual",
"status": "pending",
"started_at": "2026-06-30T09:15:44Z",
"completed_at": "2026-06-30T09:15:52Z",
"created_at": "2026-06-18T14:32:07Z"
}{
"error": "Bad Request",
"message": "child_name is required",
"code": 400
}{
"error": "Unauthorized",
"message": "missing or invalid Authorization header",
"code": 401
}{
"error": "Forbidden",
"message": "not a member of this family",
"code": 403
}{
"error": "Too Many Requests",
"message": "rate limit exceeded",
"code": 429
}{
"error": "Internal Server Error",
"message": "internal error",
"code": 500
}{
"error": "Bad Gateway",
"message": "downstream provider error",
"code": 502
}{
"error": "Service Unavailable",
"message": "downstream provider unavailable",
"code": 503
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Retry job started
Unique identifier for this resource.
Identifier of the child this resource belongs to.
Identifier of the policy this resource belongs to.
What initiated the job (e.g. manual, scheduled, policy_change).
Available options:
manual, auto, webhook Current lifecycle state of the resource.
Available options:
pending, running, completed, failed, partial RFC 3339 timestamp of when the job started running.
RFC 3339 timestamp of when the job finished.
RFC 3339 timestamp of when the resource was created.
⌘I